//DebugText - A JTextField in a JScrollPane, used as a destination for debug writes.
import javax.swing.*;
import java.awt.*;
import java.util.*;

public class DebugText extends JTextArea {

   final static boolean debugEnabled = false;

   public DebugText() {
      super(5,13);
   }

   public void append(String str) {
      if(debugEnabled) super.append(str);
   }

   public boolean isDebugEnabled() { return debugEnabled; }

   public JScrollPane getDebugPane() {
      return new JScrollPane(this, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
                                       JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
   }

   public void reset() { setText(""); }
}
